ViennaCL - The Vienna Computing Library: libviennacl/src/blas1_host.cpp File Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Functions
blas1_host.cpp File Reference
`#include <iostream>`
`#include "viennacl.hpp"`
`#include "viennacl_private.hpp"`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/linalg/inner_prod.hpp"`
`#include "viennacl/linalg/norm_1.hpp"`
`#include "viennacl/linalg/norm_2.hpp"`
`#include "viennacl/linalg/norm_inf.hpp"`

Go to the source code of this file.

## Functions
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostiSamax (ViennaCLBackend, ViennaCLInt n, ViennaCLInt *index, float *x, ViennaCLInt offx, int incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostiDamax (ViennaCLBackend, ViennaCLInt n, ViennaCLInt *index, double *x, ViennaCLInt offx, int incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostSasum (ViennaCLBackend, ViennaCLInt n, float *alpha, float *x, ViennaCLInt offx, int incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDasum (ViennaCLBackend, ViennaCLInt n, double *alpha, double *x, ViennaCLInt offx, int incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostSaxpy (ViennaCLBackend, ViennaCLInt n, float alpha, float *x, ViennaCLInt offx, int incx, float *y, ViennaCLInt offy, int incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDaxpy (ViennaCLBackend, ViennaCLInt n, double alpha, double *x, ViennaCLInt offx, int incx, double *y, ViennaCLInt offy, int incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostScopy (ViennaCLBackend, ViennaCLInt n, float *x, ViennaCLInt offx, int incx, float *y, ViennaCLInt offy, int incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDcopy (ViennaCLBackend, ViennaCLInt n, double *x, ViennaCLInt offx, int incx, double *y, ViennaCLInt offy, int incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostSdot (ViennaCLBackend, ViennaCLInt n, float *alpha, float *x, ViennaCLInt offx, int incx, float *y, ViennaCLInt offy, int incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDdot (ViennaCLBackend, ViennaCLInt n, double *alpha, double *x, ViennaCLInt offx, int incx, double *y, ViennaCLInt offy, int incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostSnrm2 (ViennaCLBackend, ViennaCLInt n, float *alpha, float *x, ViennaCLInt offx, int incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDnrm2 (ViennaCLBackend, ViennaCLInt n, double *alpha, double *x, ViennaCLInt offx, int incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostSrot (ViennaCLBackend, ViennaCLInt n, float *x, ViennaCLInt offx, int incx, float *y, ViennaCLInt offy, int incy, float c, float s)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDrot (ViennaCLBackend, ViennaCLInt n, double *x, ViennaCLInt offx, int incx, double *y, ViennaCLInt offy, int incy, double c, double s)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostSscal (ViennaCLBackend, ViennaCLInt n, float alpha, float *x, ViennaCLInt offx, int incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDscal (ViennaCLBackend, ViennaCLInt n, double alpha, double *x, ViennaCLInt offx, int incx)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostSswap (ViennaCLBackend, ViennaCLInt n, float *x, ViennaCLInt offx, int incx, float *y, ViennaCLInt offy, int incy)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLHostDswap (ViennaCLBackend, ViennaCLInt n, double *x, ViennaCLInt offx, int incx, double *y, ViennaCLInt offy, int incy)

## Function Documentation

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDasum | ( | ViennaCLBackend | ,
|  | ViennaCLInt | n,
|  | double * | alpha,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | int | incx
| ) |  |

Definition at line 79 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDaxpy | ( | ViennaCLBackend | ,
|  | ViennaCLInt | n,
|  | double | alpha,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | int | incx,
|  | double * | y,
|  | ViennaCLInt | offy,
|  | int | incy
| ) |  |

Definition at line 109 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDcopy | ( | ViennaCLBackend | ,
|  | ViennaCLInt | n,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | int | incx,
|  | double * | y,
|  | ViennaCLInt | offy,
|  | int | incy
| ) |  |

Definition at line 139 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDdot | ( | ViennaCLBackend | ,
|  | ViennaCLInt | n,
|  | double * | alpha,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | int | incx,
|  | double * | y,
|  | ViennaCLInt | offy,
|  | int | incy
| ) |  |

Definition at line 168 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDnrm2 | ( | ViennaCLBackend | ,
|  | ViennaCLInt | n,
|  | double * | alpha,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | int | incx
| ) |  |

Definition at line 196 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDrot | ( | ViennaCLBackend | ,
|  | ViennaCLInt | n,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | int | incx,
|  | double * | y,
|  | ViennaCLInt | offy,
|  | int | incy,
|  | double | c,
|  | double | s
| ) |  |

Definition at line 225 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDscal | ( | ViennaCLBackend | ,
|  | ViennaCLInt | n,
|  | double | alpha,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | int | incx
| ) |  |

Definition at line 255 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostDswap | ( | ViennaCLBackend | ,
|  | ViennaCLInt | n,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | int | incx,
|  | double * | y,
|  | ViennaCLInt | offy,
|  | int | incy
| ) |  |

Definition at line 282 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostiDamax | ( | ViennaCLBackend | ,
|  | ViennaCLInt | n,
|  | ViennaCLInt * | index,
|  | double * | x,
|  | ViennaCLInt | offx,
|  | int | incx
| ) |  |

Definition at line 51 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostiSamax | ( | ViennaCLBackend | ,
|  | ViennaCLInt | n,
|  | ViennaCLInt * | index,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | int | incx
| ) |  |

Definition at line 39 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostSasum | ( | ViennaCLBackend | ,
|  | ViennaCLInt | n,
|  | float * | alpha,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | int | incx
| ) |  |

Definition at line 67 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostSaxpy | ( | ViennaCLBackend | ,
|  | ViennaCLInt | n,
|  | float | alpha,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | int | incx,
|  | float * | y,
|  | ViennaCLInt | offy,
|  | int | incy
| ) |  |

Definition at line 95 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostScopy | ( | ViennaCLBackend | ,
|  | ViennaCLInt | n,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | int | incx,
|  | float * | y,
|  | ViennaCLInt | offy,
|  | int | incy
| ) |  |

Definition at line 126 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostSdot | ( | ViennaCLBackend | ,
|  | ViennaCLInt | n,
|  | float * | alpha,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | int | incx,
|  | float * | y,
|  | ViennaCLInt | offy,
|  | int | incy
| ) |  |

Definition at line 154 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostSnrm2 | ( | ViennaCLBackend | ,
|  | ViennaCLInt | n,
|  | float * | alpha,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | int | incx
| ) |  |

Definition at line 184 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostSrot | ( | ViennaCLBackend | ,
|  | ViennaCLInt | n,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | int | incx,
|  | float * | y,
|  | ViennaCLInt | offy,
|  | int | incy,
|  | float | c,
|  | float | s
| ) |  |

Definition at line 211 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostSscal | ( | ViennaCLBackend | ,
|  | ViennaCLInt | n,
|  | float | alpha,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | int | incx
| ) |  |

Definition at line 243 of file blas1_host.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLHostSswap | ( | ViennaCLBackend | ,
|  | ViennaCLInt | n,
|  | float * | x,
|  | ViennaCLInt | offx,
|  | int | incx,
|  | float * | y,
|  | ViennaCLInt | offy,
|  | int | incy
| ) |  |

Definition at line 269 of file blas1_host.cpp.